Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

### - n -

- name() : Lucene::AbstractField , Lucene::CustomScoreQuery , Lucene::Fieldable
- NativeFSLockFactory() : Lucene::NativeFSLockFactory
- NearSpansOrdered() : Lucene::NearSpansOrdered
- NearSpansUnordered() : Lucene::NearSpansUnordered
- newBooleanClause() : Lucene::QueryParser
- newBooleanQuery() : Lucene::QueryParser
- newBuffer() : Lucene::BufferedIndexInput , Lucene::PerDocBuffer , Lucene::RAMFile
- newByteRange() : Lucene::FieldCacheRangeFilter
- newCollector() : Lucene::BucketTable
- newComparator() : Lucene::FieldComparatorSource
- newDoubleRange() : Lucene::FieldCacheRangeFilter , Lucene::NumericRangeFilter , Lucene::NumericRangeQuery
- newestSegment() : Lucene::IndexWriter
- newFuzzyQuery() : Lucene::QueryParser
- newInstance() : Lucene::Array< TYPE > , Lucene::Collection< TYPE > , Lucene::HashMap< KEY, VALUE, HASH, EQUAL > , Lucene::HashSet< TYPE, HASH, EQUAL > , Lucene::Map< KEY, VALUE, LESS > , Lucene::Set< TYPE, LESS > , Lucene::WeakHashMap< KEY, VALUE, HASH, EQUAL >
- newIntRange() : Lucene::FieldCacheRangeFilter , Lucene::NumericRangeFilter , Lucene::NumericRangeQuery
- newLongRange() : Lucene::FieldCacheRangeFilter , Lucene::NumericRangeFilter , Lucene::NumericRangeQuery
- newMatchAllDocsQuery() : Lucene::QueryParser
- newMultiPhraseQuery() : Lucene::QueryParser
- newNumericRange() : Lucene::NumericRangeFilter , Lucene::NumericRangeQuery
- newPerDocBuffer() : Lucene::DocumentsWriter
- newPhraseQuery() : Lucene::QueryParser
- newPrefixQuery() : Lucene::QueryParser
- newRangeQuery() : Lucene::QueryParser
- newSegmentName() : Lucene::IndexWriter
- newSinkTokenStream() : Lucene::TeeSinkTokenFilter
- newSlice() : Lucene::ByteBlockPool
- newStringRange() : Lucene::FieldCacheRangeFilter
- newTerm() : Lucene::FreqProxTermsWriterPerField , Lucene::TermsHashConsumerPerField , Lucene::TermVectorsTermsWriterPerField
- newTermQuery() : Lucene::QueryParser
- newToken() : Lucene::QueryParserToken
- newTopDocs() : Lucene::TopDocsCollector , Lucene::TopFieldCollector , Lucene::TopScoreDocCollector
- newWildcardQuery() : Lucene::QueryParser
- next() : Lucene::AbstractAllTermDocs , Lucene::FilteredTermEnum , Lucene::FilterTermDocs , Lucene::FilterTermEnum , Lucene::MultipleTermPositions , Lucene::MultiTermDocs , Lucene::MultiTermEnum , Lucene::NearSpansOrdered , Lucene::NearSpansUnordered , Lucene::PhrasePositions , Lucene::Random , Lucene::SegmentMergeInfo , Lucene::SegmentTermDocs , Lucene::SegmentTermEnum , Lucene::SegmentTermPositions , Lucene::Spans , Lucene::TermDocs , Lucene::TermEnum , Lucene::TermSpans
- nextBuffer() : Lucene::ByteBlockPool , Lucene::CharBlockPool , Lucene::IntBlockPool
- nextChar() : Lucene::MappingCharFilter
- nextDoc() : Lucene::BooleanScorer2 , Lucene::BooleanScorer , Lucene::BucketScorer , Lucene::ConjunctionScorer , Lucene::DisjunctionMaxScorer , Lucene::DisjunctionSumScorer , Lucene::DocIdSetIterator , Lucene::FilteredDocIdSetIterator , Lucene::FreqProxFieldMergeState , Lucene::OpenBitSetIterator , Lucene::PhraseScorer , Lucene::ReqExclScorer , Lucene::ReqOptSumScorer , Lucene::ScoreCachingWrappingScorer , Lucene::SingleMatchScorer , Lucene::SpanScorer , Lucene::TermScorer
- nextDouble() : Lucene::Random
- nextHighestPowerOfTwo() : Lucene::BitUtil
- nextInt() : Lucene::Random
- nextPosition() : Lucene::FilterTermPositions , Lucene::MultipleTermPositions , Lucene::MultiTermPositions , Lucene::PhrasePositions , Lucene::SegmentTermPositions , Lucene::TermPositions
- nextSetBit() : Lucene::BitSet , Lucene::OpenBitSet
- nextSlice() : Lucene::ByteSliceReader
- nextTerm() : Lucene::FreqProxFieldMergeState
- noDupDirs() : Lucene::IndexWriter
- NON_STORE_INDEX_EXTENSIONS() : Lucene::IndexFileNames
- noNullPostings() : Lucene::TermsHashPerThread
- NORM_TABLE() : Lucene::Similarity
- normalize() : Lucene::CharTokenizer , Lucene::LowerCaseTokenizer , Lucene::SpanWeight , Lucene::Weight
- NormalizeCharMap() : Lucene::NormalizeCharMap
- norms() : Lucene::DirectoryReader , Lucene::FilterIndexReader , Lucene::IndexReader , Lucene::MultiReader , Lucene::ParallelReader , Lucene::SegmentReader
- NORMS_EXTENSION() : Lucene::IndexFileNames
- normsClosed() : Lucene::SegmentReader
- NormsWriter() : Lucene::NormsWriter
- NormsWriterPerField() : Lucene::NormsWriterPerField
- NormsWriterPerThread() : Lucene::NormsWriterPerThread
- notifyAll() : Lucene::LuceneSignal , Lucene::LuceneSync
- noWrite() : Lucene::ReadOnlySegmentReader
- nrMatchers() : Lucene::DisjunctionSumScorer
- nrtIsCurrent() : Lucene::IndexWriter
- ntz() : Lucene::BitUtil
- ntz2() : Lucene::BitUtil
- ntz3() : Lucene::BitUtil
- null() : Lucene::VariantUtils
- Num() : Lucene::Num
- numBlocks() : Lucene::BitSet
- numBuffers() : Lucene::RAMFile
- numDeletedDocs() : Lucene::IndexReader , Lucene::IndexWriter
- numDocs() : Lucene::DirectoryReader , Lucene::FilterIndexReader , Lucene::IndexReader , Lucene::IndexWriter , Lucene::MultiReader , Lucene::ParallelReader , Lucene::SegmentReader
- NUMERIC_UTILS_DOUBLE_PARSER() : Lucene::FieldCache
- NUMERIC_UTILS_INT_PARSER() : Lucene::FieldCache
- NUMERIC_UTILS_LONG_PARSER() : Lucene::FieldCache
- NumericComparator() : Lucene::NumericComparator< TYPE >
- NumericField() : Lucene::NumericField
- NumericRangeFilter() : Lucene::NumericRangeFilter
- NumericRangeQuery() : Lucene::NumericRangeQuery
- NumericTokenStream() : Lucene::NumericTokenStream
- numRamDocs() : Lucene::IndexWriter

clucene.sourceforge.net